Bug 439025 - mc segfaults if hint files are missing
mc segfaults if hint files are missing
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mc (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-26 12:02 EDT by Tomas Heinrich
Modified: 2016-09-20 00:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-27 09:35:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix (474 bytes, patch)
2008-03-26 12:02 EDT, Tomas Heinrich
no flags Details | Diff

  None (edit)
Description Tomas Heinrich 2008-03-26 12:02:49 EDT
Description of problem:
mc segfaults if hint files are missing.

Version-Release number of selected component (if applicable):
4.6.1a-45.20070124cvs.fc7
4.6.2-2.pre1.fc9

How reproducible:
Always

Steps to Reproduce:
1. remove all hintfiles (eg /usr/share/mc/mc.hint)
2. launch mc
  
Actual results:
Segmentation fault (core dumped)

Expected results:
Survive

Additional info:
Attached patch should fix this.
Comment 1 Tomas Heinrich 2008-03-26 12:02:49 EDT
Created attachment 299182 [details]
fix
Comment 2 Jindrich Novy 2008-03-27 09:35:14 EDT
Applied, thanks!

Note You need to log in before you can comment on or make changes to this bug.